/*
	PlastererApplet
	Copyright (C) 2004 ONO, Masayuki <mono101@skill-engineering.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef __PLASTERER_IMPL_H__
#define __PLASTERER_IMPL_H__

#include <qwidget.h>
#include <qpixmap.h>
#include <qimage.h>
#include <qpopupmenu.h>
#include <qpainter.h>
#include <qfileinfo.h>
#include <qwindowsystem_qws.h>
#include <qmessagebox.h>
#include <qtimer.h>
#include <qpe/qcopenvelope_qws.h>
#include <qpe/qpeapplication.h>
#include <qpe/global.h>
#include <qpe/resource.h>
#include <qpe/config.h>
#include <sl/slmisc.h>
//#include <sl/sldlgwait.h>

class CPlastererImpl : public QWidget
{
	Q_OBJECT
public:
    CPlastererImpl( QWidget * );
    virtual ~CPlastererImpl();

protected:
    void setWallPaper( const QString& = QString::null );
//	void makeImage( QImage*, Config&, const QSize&, const QString );
	void version();

protected slots:
//    void makeImages( bool = FALSE );
	void receiveMessage( const QCString&, const QByteArray& );
	void receiveSysMessage( const QCString&, const QByteArray& );

protected:
	QCopChannel* m_pChannel;
	QCopChannel* m_pSysChannel;
//	SlDlgWait* m_pSlWaitDlg;
};

#endif /* __PLASTERER_IMPL_H__ */
